Bug 431525 - (CVE-2008-0554) CVE-2008-0554 netpbm: GIF handling buffer overflow in giftopnm
CVE-2008-0554 netpbm: GIF handling buffer overflow in giftopnm
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
source=redhat,reported=20080124,publi...
: Security
Depends On: 432483 432484 432485 432486
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-05 05:08 EST by Tomas Hoger
Modified: 2009-01-27 09:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-28 05:23:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2008-02-05 05:08:06 EST
GIF handling code used in netpbm's giftopnm converter is based on the same code
as used by gd and SDL_image and is affected by the overflow known as
CVE-2006-4484 and CVE-2007-6697.

readImageData function in giftopnm.c does not properly check the value of
lzwMinCodeSize value read from GIF image before passing it to lzwInit, which
uses it as upper bound during the initialization of fixed sized table array,
leading to a buffer overflow.

This issue was fixed in upstream version 10.27.  Code checking the value is in
the initial giftopnm.c revision in projects public SVN repository:

http://netpbm.svn.sourceforge.net/viewvc/netpbm/trunk/converter/other/giftopnm.c?revision=1&view=markup#l_1052

This issue does not affect netpbm packages as shipped in Red Hat Enterprise
Linux 5 and current versions of Fedora, as those packages are based on fixed
upstream version.

Related issues:
CVE-2006-4484 (gd), CVE-2007-6697 (SDL_image), CVE-2008-0553 (tk)
Comment 2 Tomas Hoger 2008-02-12 06:47:30 EST
This issue does not affect versions of netpbm as shipped with Red Hat Enterprise
Linux 5 and Fedora 7 and 8, as those are based on upstream version which already
contains the patch.
Comment 5 Red Hat Product Security 2008-02-28 05:23:26 EST
This issue was addressed in:

Red Hat Enterprise Linux:
  http://rhn.redhat.com/errata/RHSA-2008-0131.html


Note You need to log in before you can comment on or make changes to this bug.